Bug Hunting Session
Bug 92258 - Crash of Basic IDE when renaming a Module
Summary: Crash of Basic IDE when renaming a Module
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.2
Keywords: haveBacktrace
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-06-22 17:12 UTC by Regina Henschel
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
console+bt with debug symbols (11.26 KB, text/plain)
2015-06-22 18:27 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2015-06-22 17:12:56 UTC
Start LibreOffice and open the BASIC IDE an there "My Macros & Dialogs" > Standard > Module1. Right-click the tab and select item "Rename". Write a new name, e.g. Testing. Press Enter --> Crash.

I use Version: 5.1.0.0.alpha1+
Build ID: 8cd2a372e3867f99b397b9ec089d6e1f7efd1088
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-21_10:44:17
Locale: de-DE (de_DE)
Comment 1 Julien Nabet 2015-06-22 18:27:35 UTC
Created attachment 116739 [details]
console+bt with debug symbols

On pc Debian x86-64 with master sources updated today (16c2b60fc10b5fdfd36df64f8fca50b95d81871b), I could reproduce this.
Comment 2 Michael Meeks 2015-06-24 16:20:13 UTC
Thanks Regina ! =) just pushed a fix.
Comment 3 Commit Notification 2015-06-24 16:21:24 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a6d7766f49cc283be174aead9785f5a95287be4

tdf#92258 - fix crash editing macro module name.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-06-24 16:23:56 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e221ed62e0554900bf2c75ce024be7df2a02afbc&h=libreoffice-5-0

tdf#92258 - fix crash editing macro module name.

It will be available in 5.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.